Spaces
Link an announcement to a space
POST
/
api
/
v1
/
spaces
/
{id}
/
announcements
Link an announcement to a space
curl --request POST \
--url https://api.linebundle.com/api/v1/spaces/{id}/announcements \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"send_email": true,
"title": "<string>"
}
'import requests
url = "https://api.linebundle.com/api/v1/spaces/{id}/announcements"
payload = {
"body": "<string>",
"send_email": True,
"title": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>'), send_email: true, title: '<string>'})
};
fetch('https://api.linebundle.com/api/v1/spaces/{id}/announcements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/spaces/{id}/announcements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => '<string>',
'send_email' => true,
'title' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/spaces/{id}/announcements"
payload := strings.NewReader("{\n \"body\": \"<string>\",\n \"send_email\": true,\n \"title\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linebundle.com/api/v1/spaces/{id}/announcements")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"<string>\",\n \"send_email\": true,\n \"title\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/spaces/{id}/announcements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"<string>\",\n \"send_email\": true,\n \"title\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"announcement": {
"author_email": "<string>",
"author_id": "<string>",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"priority": "routine",
"status": "<string>",
"tags": [
"<string>"
],
"title": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"image_key": "<string>",
"image_url": "<string>"
},
"announcement_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"space_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"$schema": "https://api.linebundle.com/schemas/SpaceAnnouncementDetail.json",
"org_id": "<string>"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
Space ID
Body
application/json
Response
Created
Show child attributes
Show child attributes
Announcement ID
Created timestamp
Record ID
Space ID
Updated timestamp
A URL to the JSON Schema for this object.
Example:
"https://api.linebundle.com/schemas/SpaceAnnouncementDetail.json"
Organization ID
Last modified on June 11, 2026
⌘I
Link an announcement to a space
curl --request POST \
--url https://api.linebundle.com/api/v1/spaces/{id}/announcements \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"send_email": true,
"title": "<string>"
}
'import requests
url = "https://api.linebundle.com/api/v1/spaces/{id}/announcements"
payload = {
"body": "<string>",
"send_email": True,
"title": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>'), send_email: true, title: '<string>'})
};
fetch('https://api.linebundle.com/api/v1/spaces/{id}/announcements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/spaces/{id}/announcements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => '<string>',
'send_email' => true,
'title' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/spaces/{id}/announcements"
payload := strings.NewReader("{\n \"body\": \"<string>\",\n \"send_email\": true,\n \"title\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linebundle.com/api/v1/spaces/{id}/announcements")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"<string>\",\n \"send_email\": true,\n \"title\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/spaces/{id}/announcements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"<string>\",\n \"send_email\": true,\n \"title\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"announcement": {
"author_email": "<string>",
"author_id": "<string>",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"priority": "routine",
"status": "<string>",
"tags": [
"<string>"
],
"title": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"image_key": "<string>",
"image_url": "<string>"
},
"announcement_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"space_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"$schema": "https://api.linebundle.com/schemas/SpaceAnnouncementDetail.json",
"org_id": "<string>"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}